#pragma once

/* I'm not sure why those kind of basic definitions are not part of libcapi20 itself... */

enum capi_cip_value {
	CAPI_CIP_SPEECH			= 1,
	CAPI_CIP_UDI			= 2,
	CAPI_CIP_RDI			= 3,
	CAPI_CIP_3k1_AUDIO		= 4,
	CAPI_CIP_7k_AUDIO		= 5,
	CAPI_CIP_VIDEO			= 6,
	CAPI_CIP_PACKET			= 7,
	CAPI_CIP_56k_RA			= 8,
	CAPI_CIP_UDI_WITH_TONES		= 9,
	CAPI_CIP_TELEPHONY		= 16,
	CAPI_CIP_FAX_G2_G3		= 17,
	CAPI_CIP_FAX_G4_C1		= 18,
	CAPI_CIP_TELETEX_B_M_FAX_G4_C2_C3 = 19,
	CAPI_CIP_TELETEX_B_P		= 20,
	CAPI_CIP_TELETEX_B		= 21,
	CAPI_CIP_VIDEOTEX_INTL_IW	= 22,
	CAPI_CIP_TELEX			= 23,
	CAPI_CIP_MHS_X400		= 24,
	CAPI_CIP_OSI_X200		= 25,
	CAPI_CIP_7k_TELEPHONY		= 26,
	CAPI_CIP_VIDEO_1ST		= 27,
	CAPI_CIP_VIDEO_2ND		= 28,
};

enum capi_b1_value {
	CAPI_B1_64k_HDLC		= 0,
	CAPI_B1_64k_TRANSPARENT		= 1,
	CAPI_B1_V110_ASYNC_START_STOP	= 2,
	CAPI_B1_V110_ASYNC_HDLC		= 3,
	CAPI_B1_T30_FOR_G3_FAX		= 4,
	CAPI_B1_64k_INVERTED_HDLC	= 5,
	CAPI_B1_56k_TRANSPARENT		= 6,
	CAPI_B1_MODEM_FULL_NEGO		= 7,
	CAPI_B1_MODEM_ASYNC_START_STOP	= 8,
	CAPI_B1_MODEM_SYNC_HDLC		= 9,
};

enum capi_b2_value {
	CAPI_B2_X75_SLP			= 0,
	CAPI_B2_TRANSPARENT		= 1,
	CAPI_B2_SDLC			= 2,
	CAPI_B2_LAPD_Q921_X25_SAPI16	= 3,
	CAPI_B2_T30_FAX_G3		= 4,
	CAPI_B2_PPP			= 5,
	CAPI_B2_TRANSPARENT_IGN_FERR	= 6,
	CAPI_B2_MODEM_FULL_NEGO		= 7,
	CAPI_B2_X75_SLP_V42bis		= 8,
	CAPI_B2_V120_ASYNC		= 9,
	CAPI_B2_V120_ASYNC_V42bis	= 10,
	CAPI_B2_V120_BIT_TRANSPARENT	= 11,
	CAPI_B2_LAPD_Q921_FREE_SAPI	= 12,
};

enum capi_b3_value {
	CAPI_B3_TRANSPARENT		= 0,
	CAPI_B3_T90NL_COMP_T70NL	= 1,
	CAPI_B3_X25_DTE_DTE		= 2,
	CAPI_B3_X25_DCE			= 3,
	CAPI_B3_T30_FAX_G3		= 4,
	CAPI_B3_T30_FAX_G3_EXTD		= 5,
	/* reserved */
	CAPI_B3_MODEM			= 7,
};
